Bug 1029968 - [RFE] request for new subscription-manager list installed/consumed field called "Subscription Type"
[RFE] request for new subscription-manager list installed/consumed field call...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Carter Kozak
John Sefler
: FutureFeature
Depends On:
Blocks: rhsm-rhel70 1086290
  Show dependency treegraph
 
Reported: 2013-11-13 10:54 EST by John Sefler
Modified: 2014-09-14 20:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1086290 (view as bug list)
Environment:
Last Closed: 2014-06-13 07:48:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2013-11-13 10:54:33 EST
Description of problem:
Over the past several releases of Subscription Management, the number of subscription "types" has grown due to new buisiness model requirements that dictate how subscriptions should be used.  Terms such as "Stackable", "Instance Based", "Multi-Entitlement" have been conceptually introduced to describe subscriptions.  These models have a lot of influence on the compliance calculations of a system.

The current problem is that users are increasingly questioning the behavior of attached subscriptions because they are not exposed to the attributes of the subscription that drive its behavior.
Example Bug References: bug 1028108 bug 1028141 bug 1028143 bug 1028146 


[root@jsefler-7 ~]# subscription-manager list --avail 
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+
Subscription Name: Red Hat Enterprise Linux Server Beta
Provides:          Red Hat Enterprise Linux 7 Public Beta
SKU:               RH00069
Contract:          10299492
Pool ID:           8a99f9844228f57b014233437f345c4d
Available:         1000
Suggested:         1
Service Level:     Self-Support
Service Type:      L1-L3
Multi-Entitlement: Yes <========= REPLACE WITH NEW Subscription Type
Ends:              11/06/2014
System Type:       Physical


In the example list of available pools above, we currently show a "Multi-Entitlement" value (historically the first special subscription type).  This RFE proposal is to replace this field with a new "Subscription Type" (viewable in the CLI and the GUI) that can have one of several values and will grow as new subscription models are developed to satisfy new business models.  The value would be a human reable description of the model.  Some possible values today could include:

  Stackable
  Instance Based
  Multi-Entitleable
  Unknown  <=====  This value would indicate a data integrity problem in the attributes that define the subscription



Version-Release number of selected component (if applicable):
[root@jsefler-7 ~]# rpm -q subscription-manager
subscription-manager-1.10.6-1.el7.x86_64
Comment 1 Carter Kozak 2013-12-16 12:23:22 EST
commit 7f1140529db670fc8d32e78b2c07dc001dd9b404
Author: ckozak <ckozak@redhat.com>
Date:   Mon Nov 11 17:29:13 2013 -0500

    display pool type in cli and gui
Comment 2 Carter Kozak 2013-12-16 13:33:54 EST
Possible pool types:

Standard  - no stackingid, multi-entitlement=false
Stackable - multi-entitlement=true, and has a stacking id
Multi-Entitlable - No stacking Id, but multi-entitlement = true
Instace Based - Instance based subscription.  Has instance multiplier, stacking id and multi-ent
Stackable only with other subscriptions - stacking id, but not multi-ent
Other - unknown, probably bad data.  Most likely an instance based subscription without a stacking id or multi-ent.
Comment 3 John Sefler 2013-12-16 14:01:09 EST
(In reply to Carter Kozak from comment #2)
> Possible pool types:
Correcting typos:
  
  "Standard"
  "Stackable"
  "Multi-Entitleable"
  "Instance Based"
  "Stackable only with other subscriptions"
  "Other"
  ""  an empty value indicates an older candlepin server is configured
Comment 4 John Sefler 2014-01-24 16:14:12 EST
Verifying Version...
[root@jsefler-7 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.2-1
subscription-manager: 1.10.11-1.el7
python-rhsm: 1.10.11-1.el7


[root@jsefler-7 ~]# subscription-manager list --avail
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+
Subscription Name: Awesome OS with up to 4 virtual guests
Provides:          Awesome OS Server Bits
SKU:               awesomeos-virt-4
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f45760a93
Available:         20
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Multi-Entitleable
Ends:              01/15/2015
System Type:       Virtual

Subscription Name: Awesome OS for systems with sockets value=null
Provides:          Awesome OS for systems with sockets value=null BITS
SKU:               null-sockets
Contract:          181787793
Pool ID:           8a908740439d1e6f0143a0da88a5212e
Available:         20
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Standard
Ends:              02/01/2014
System Type:       Physical

Subscription Name: RAM Limiting Package (2GB stackable)
Provides:          RAM Limiting Product
SKU:               ram-2gb-stackable
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f49540d27
Available:         5
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Stackable
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Awesome OS Server Basic (data center)
Provides:          
SKU:               awesomeos-server-basic-dc
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f3877051c
Available:         5
Suggested:         1
Service Level:     None
Service Type:      Self-Support
Subscription Type: Standard
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Multi-Attribute Stackable (4 cores)
Provides:          Multi-Attribute Limited Product
SKU:               cores4-multiattr
Contract:          1
Pool ID:           8a908740439d1e6f01439d1f52e212ad
Available:         10
Suggested:         1
Service Level:     Premium
Service Type:      Level 3
Subscription Type: Stackable
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Awesome OS Stackable guest limit 4
Provides:          Awesome OS Server Bits
SKU:               awesomeos-guestlimit-4-stackable
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f533712e4
Available:         5
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Stackable
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Awesome OS for x86_64/i686/ia64/ppc/ppc64/s390x/s390
Provides:          Awesome OS for x86_64/i686/ia64/ppc/ppc64/s390x/s390 Bits
SKU:               awesomeos-everything
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f45240a5f
Available:         5
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Standard
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Awesome OS with unlimited virtual guests
Provides:          Awesome OS Server Bits
SKU:               awesomeos-virt-unlimited
Contract:          1
Pool ID:           8a908740439d1e6f01439d1f460f0af9
Available:         10
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Standard
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Multi-Attribute (non-stackable) (6 cores, 8GB)
Provides:          Multi-Attribute Limited Product
SKU:               non-stacked-6core8ram-multiattr
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f5c7b1772
Available:         5
Suggested:         1
Service Level:     Super
Service Type:      Level 3
Subscription Type: Standard
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Awesome OS for systems with sockets value=0
Provides:          Awesome OS for systems with sockets value=0 BITS
SKU:               0-sockets
Contract:          797098866
Pool ID:           8a908740439d1e6f0143a0d9eaac2103
Available:         20
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Standard
Ends:              02/01/2014
System Type:       Physical

Subscription Name: Awesome OS Super Hypervisor
Provides:          Awesome Hypervisor Bits
SKU:               awesomeos-super-hypervisor
Contract:          1
Pool ID:           8a908740439d1e6f01439d1f4bc20ea3
Available:         40
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Stackable
Ends:              01/15/2015
System Type:       Virtual

Subscription Name: Multi-Attribute Stackable (2 GB, 2 Cores)
Provides:          Multi-Attribute Limited Product
SKU:               2cores-2ram-multiattr
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f554b13fa
Available:         5
Suggested:         1
Service Level:     Premium
Service Type:      Level 3
Subscription Type: Stackable
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Awesome OS with unlimited virtual guests
Provides:          Awesome OS Server Bits
SKU:               awesomeos-virt-unlimited
Contract:          1
Pool ID:           8a908740439d1e6f01439d1f462f0b0d
Available:         Unlimited
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Standard
Ends:              01/15/2015
System Type:       Virtual

Subscription Name: Awesome OS with up to 4 virtual guests
Provides:          Awesome OS Server Bits
SKU:               awesomeos-virt-4
Contract:          1
Pool ID:           8a908740439d1e6f01439d1f48530c53
Available:         40
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Multi-Entitleable
Ends:              01/15/2015
System Type:       Virtual

Subscription Name: Awesome OS Modifier
Provides:          Awesome OS Modifier Bits
SKU:               awesomeos-modifier
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f36870467
Available:         5
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Standard
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Multi-Attribute Stackable (16 cores, 4 sockets, 8GB RAM)
Provides:          Multi-Attribute Limited Product
SKU:               sock-core-ram-multiattr
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f557b1411
Available:         5
Suggested:         1
Service Level:     Super
Service Type:      Level 3
Subscription Type: Stackable
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Multi-Attribute Stackable (2 sockets)
Provides:          Multi-Attribute Limited Product
SKU:               sock2-multiattr
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f54f113cb
Available:         5
Suggested:         2
Service Level:     Premium
Service Type:      Level 3
Subscription Type: Stackable
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Awesome OS for systems with no sockets
Provides:          Awesome OS for systems with no sockets BITS
SKU:               no-sockets
Contract:          51734005
Pool ID:           8a908740439d1e6f0143a0da17e62118
Available:         20
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Standard
Ends:              02/01/2014
System Type:       Physical

Subscription Name: Awesome OS Instance Based (Standard Support)
Provides:          Awesome OS Instance Server Bits
SKU:               awesomeos-instancebased
Contract:          1
Pool ID:           8a908740439d1e6f01439d1f40c208a2
Available:         20
Suggested:         1
Service Level:     Standard
Service Type:      L1-L3
Subscription Type: Instance Based
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Awesome OS Stackable guest limit 4
Provides:          Awesome OS Server Bits
SKU:               awesomeos-guestlimit-4-stackable
Contract:          1
Pool ID:           8a908740439d1e6f01439d1f48a70c9a
Available:         40
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Stackable
Ends:              01/15/2015
System Type:       Virtual

Subscription Name: Awesome OS with unlimited virtual guests
Provides:          Awesome OS Server Bits
SKU:               awesomeos-virt-unlimited
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f4c110ee8
Available:         Unlimited
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Standard
Ends:              01/15/2015
System Type:       Virtual

Subscription Name: Awesome OS Instance Based one socket
Provides:          Awesome OS Instance Server Bits
SKU:               awesomeos-onesocketib
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f3f1b0813
Available:         10
Suggested:         1
Service Level:     Standard
Service Type:      L1-L3
Subscription Type: Instance Based
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Awesome OS Super Hypervisor
Provides:          Awesome Hypervisor Bits
SKU:               awesomeos-super-hypervisor
Contract:          1
Pool ID:           8a908740439d1e6f01439d1f4b9a0e84
Available:         10
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Stackable
Ends:              01/15/2015
System Type:       Physical

Subscription Name: RAM/Cores Package (8GB, 4 cores)
Provides:          RAM Limiting Product
SKU:               ram-cores-8gb-4cores
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f498a0d57
Available:         5
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Standard
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Stackable with Awesome OS for x86_64
Provides:          Stackable with Awesome OS for x86_64 Bits
SKU:               stackable-with-awesomeos-x86_64
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f47bb0c07
Available:         5
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Stackable only with other subscriptions
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Awesome OS for All Arch (x86content)
Provides:          Awesome OS for All Arch (x86 content) Bits
SKU:               awesomeos-all-x86-cont
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f477c0bde
Available:         5
Suggested:         4
Service Level:     
Service Type:      
Subscription Type: Stackable
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Awesome OS Super Hypervisor
Provides:          Awesome Hypervisor Bits
SKU:               awesomeos-super-hypervisor
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f56021463
Available:         5
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Stackable
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Multi-Attribute (multi-entitlement only) (8 cores, 4GB)
Provides:          Multi-Attribute Limited Product
SKU:               non-stacked-8core4ram-multiattr
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f55ac142d
Available:         5
Suggested:         1
Service Level:     Premium
Service Type:      Level 3
Subscription Type: Multi-Entitleable
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Awesome OS Stackable guest limit 4
Provides:          Awesome OS Server Bits
SKU:               awesomeos-guestlimit-4-stackable
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f53561305
Available:         20
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Stackable
Ends:              01/15/2015
System Type:       Virtual

Subscription Name: Awesome OS Instance Based one socket
Provides:          Awesome OS Instance Server Bits
SKU:               awesomeos-onesocketib
Contract:          1
Pool ID:           8a908740439d1e6f01439d1f406f086b
Available:         20
Suggested:         1
Service Level:     Standard
Service Type:      L1-L3
Subscription Type: Instance Based
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Shared File System
Provides:          Shared File System Bits
SKU:               sfs
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f53f9135c
Available:         5
Suggested:         1
Service Level:     Layered
Service Type:      
Subscription Type: Standard
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Awesome OS with up to 4 virtual guests
Provides:          Awesome OS Server Bits
SKU:               awesomeos-virt-4
Contract:          1
Pool ID:           8a908740439d1e6f01439d1f482c0c3c
Available:         10
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Multi-Entitleable
Ends:              01/15/2015
System Type:       Physical

Subscription Name: virt-only-product to be added to activation key
Provides:          
SKU:               virt-only-test-product
Contract:          1103999309
Pool ID:           8a908740439d1e6f0143c0a98c3b6093
Available:         Unlimited
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Standard
Ends:              02/07/2014
System Type:       Virtual

Subscription Name: Awesome OS Stackable guest limit 4
Provides:          Awesome OS Server Bits
SKU:               awesomeos-guestlimit-4-stackable
Contract:          1
Pool ID:           8a908740439d1e6f01439d1f487c0c79
Available:         10
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Stackable
Ends:              01/15/2015
System Type:       Physical

Subscription Name: RAM Limiting Package (8GB)
Provides:          RAM Limiting Product
SKU:               ram-8gb
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f4c6f0f16
Available:         5
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Standard
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Awesome OS with unlimited virtual guests
Provides:          Awesome OS Server Bits
SKU:               awesomeos-virt-unlimited
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f4bef0ecd
Available:         5
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Standard
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Awesome OS Instance Based (Standard Support)
Provides:          Awesome OS Instance Server Bits
SKU:               awesomeos-instancebased
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f3e9207e4
Available:         10
Suggested:         1
Service Level:     Standard
Service Type:      L1-L3
Subscription Type: Instance Based
Ends:              01/15/2015
System Type:       Physical

Subscription Name: virt-only-product to be added to activation key
Provides:          
SKU:               virt-only-test-product
Contract:          1103999309
Pool ID:           8a908740439d1e6f0143c0a98c28608b
Available:         20
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Standard
Ends:              02/07/2014
System Type:       Physical

Subscription Name: Management Add-On
Provides:          
SKU:               management-100
Contract:          1
Pool ID:           8a908740439d1e6f01439d1f46aa0b59
Available:         1000
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Standard
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Awesome OS for x86_64
Provides:          Awesome OS for x86_64 Bits
SKU:               awesomeos-x86_64
Contract:          1
Pool ID:           8a908740439d1e6f01439d1f4a5a0dac
Available:         10
Suggested:         4
Service Level:     
Service Type:      
Subscription Type: Stackable
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Cores Package (26 cores)
Provides:          Core Limiting Product
SKU:               cores-26
Contract:          1
Pool ID:           8a908740439d1e6f01439d1f52a9129d
Available:         10
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Standard
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Awesome OS for All Arch (excpt for x86_64 content)
Provides:          Awesome OS for All Arch (excpt for x86_64 content) Bits
SKU:               awesomeos-all-no-86_64-cont
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f4e2d1043
Available:         5
Suggested:         4
Service Level:     
Service Type:      
Subscription Type: Stackable
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Awesome OS with up to 4 virtual guests
Provides:          Awesome OS Server Bits
SKU:               awesomeos-virt-4
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f45660a89
Available:         5
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Multi-Entitleable
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Awesome OS for All Arch (just x86_64 content)
Provides:          Awesome OS for All Arch (just x86_64 content) Bits
SKU:               awesomeos-all-just-86_64-cont
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f4f1910ed
Available:         5
Suggested:         4
Service Level:     
Service Type:      
Subscription Type: Stackable
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Awesome OS for All Arch (all per arch content)
Provides:          Awesome OS for All Arch (all per arch content) Bits
SKU:               awesomeos-per-arch-cont
Contract:          1
Pool ID:           8a908740439d1e6f01439d1f44b70a28
Available:         10
Suggested:         4
Service Level:     
Service Type:      
Subscription Type: Stackable
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Awesome OS Super Hypervisor
Provides:          Awesome Hypervisor Bits
SKU:               awesomeos-super-hypervisor
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f561b146e
Available:         20
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Stackable
Ends:              01/15/2015
System Type:       Virtual

Subscription Name: Multi-Attribute (non-stackable) (24 cores, 6 sockets, 8GB
                   RAM)
Provides:          Multi-Attribute Limited Product
SKU:               non-stacked-multiattr
Contract:          1
Pool ID:           8a908740439d1e6f01439d1f5da51809
Available:         10
Suggested:         1
Service Level:     Super
Service Type:      Level 3
Subscription Type: Standard
Ends:              01/15/2015
System Type:       Physical

Subscription Name: RAM Limiting Package (4GB stackable)
Provides:          RAM Limiting Product
SKU:               ram-4gb-stackable
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f528c1289
Available:         5
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Stackable
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Multi-Attribute Stackable (2 GB)
Provides:          Multi-Attribute Limited Product
SKU:               ram2-multiattr
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f531812d7
Available:         5
Suggested:         1
Service Level:     Premium
Service Type:      Level 3
Subscription Type: Stackable
Ends:              01/15/2015
System Type:       Physical

Subscription Name: Stackable Cores Package (8 cores)
Provides:          Core Limiting Product
SKU:               cores-8-stackable
Contract:          0
Pool ID:           8a908740439d1e6f01439d1f58d415b6
Available:         5
Suggested:         1
Service Level:     
Service Type:      
Subscription Type: Stackable
Ends:              01/15/2015
System Type:       Physical


VERIFIED: Above you will notice that the "Multi-Entitlement" yes/no field has been replaced with "Subscription Type" that can contains a more descriptive value for the attaching characteristics of the subscription.

[root@jsefler-7 ~]# subscription-manager list --avail | grep "Subscription Type"| sort | uniq
Subscription Type: Instance Based
Subscription Type: Multi-Entitleable
Subscription Type: Stackable
Subscription Type: Stackable only with other subscriptions
Subscription Type: Standard
Comment 6 Ludek Smid 2014-06-13 07:48:54 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.